# RUN: yaml2obj %s | obj2yaml | FileCheck %s

--- !mach-o
FileHeader:      
  magic:           0xFEEDFACE
  cputype:         0x00000007
  cpusubtype:      0x80000003
  filetype:        0x00000002
  ncmds:           0
  sizeofcmds:      0
  flags:           0x00218085
...

# CHECK: --- !mach-o
# CHECK: FileHeader:      
# CHECK:   magic:           0xFEEDFACE
# CHECK:   cputype:         0x00000007
# CHECK:   cpusubtype:      0x80000003
# CHECK:   filetype:        0x00000002
# CHECK:   ncmds:           0
# CHECK:   sizeofcmds:      0
# CHECK:   flags:           0x00218085
# CHECK-NOT: reserved:
# CHECK: ...
